View Issue Details

IDProjectCategoryView StatusLast Update
0001643SketcherFeaturepublic2014-09-17 16:45
Reportermghansen256 Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.14 
Target VersionFixed in Version0.15 
Summary0001643: Sketcher: Button to remove all redundant constraints.
DescriptionWhen drawing a sketch, redundant constraints are often created in my case, such as horizontal and snap-to-point. The sketcher then shows that there are redundant constraints, and I have to browse the list to find and delete them.

I suggest to add a button "Remove redundant constraints" to delete them more quickly.

Of course, suggestions from 0001464, like highlighting the redundant constraints in the list or creating a filter for them would be good, too.

Is it also possible to show the redundant constraints in pairs? This way, I could more easily see which constraint I made on purpose and which was maybe made automagically.
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0001464 closedabdullah Feature Request for Easier Way to Find Conflicting Constraints 

Activities

ickby

2014-07-29 06:31

developer   ~0004865

I don't think this is a good idea. By definition it is enough to remove all but one of the redunant constraints to keep the wanted behaviour, but which one to delete and which one to keep? It is impossible to guess what would be the users preference and IMHO would lead to some frustration if the wrong constraitn gets deleted. And deleting all is useless as then one would to start over again to constraint the dof in question.

Highlighting then on the other side would be usefull.

Related Changesets

FreeCAD: master 34cc7c31

2014-08-29 17:01:10

abdullah


Committer: wmayer Details Diff
Sketcher new feature: Select Conflict and Redundant Constraints

Based (and solves) Mantis ticket:
http://www.freecadweb.org/tracker/view.php?id=1643

The ticket refers only to redundant, and ask for deletion.

Two commands are created, one for redundant constraints and other for conflicting constraints.

As usually removing one constraint of the "at least one" is sufficient, the implementation selects the constraints (but does not delete them).

The user therefore easily identify the constraints involved and decide to delete them.

This implementation takes into account the edit->Actsketch that ViewProvidedSketch creates for solving, as it is this instance the one that generates the messages in the Sketcher Taskbar.

No buttons in the toolbar by default (can be added by the user), but an hyperlink in the solver messages which triggers the selection of the appropriate command (conflicting or redundant).
Affected Issues
0001643
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandSketcherTools.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherMessages.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherMessages.h Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.h Diff File
mod - src/Mod/Sketcher/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2014-07-28 20:09 mghansen256 New Issue
2014-07-29 06:31 ickby Note Added: 0004865
2014-08-24 09:25 wmayer Relationship added related to 0001464
2014-09-02 13:48 abdullah Assigned To => abdullah
2014-09-02 13:48 abdullah Status new => assigned
2014-09-17 16:44 wmayer Changeset attached => FreeCAD Master master 34cc7c31
2014-09-17 16:45 wmayer Status assigned => closed
2014-09-17 16:45 wmayer Resolution open => fixed
2014-09-17 16:45 wmayer Fixed in Version => 0.15